## net.sf.saxon.trans
Interface BuiltInRuleSet

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  CopyRuleSet, DiscardRuleSet, FailRuleSet, RuleSetWithWarnings, StringifyRuleSet

    public interface BuiltInRuleSet

extends Serializable

Defines a set of built-in template rules (rules for use when no user-defined template rules match a given node)

Method Summary
`void` `process(NodeInfo node, ParameterSet parameters, ParameterSet tunnelParams, XPathContext context, int locationId)` Perform the built-in template action for a given node.

Method Detail

### process

    void process(NodeInfo node,
                 ParameterSet parameters,
                 ParameterSet tunnelParams,
                 XPathContext context,
                 int locationId)
                 throws XPathException

  Perform the built-in template action for a given node.

  Parameters:
    `node` - the node to be processed
    `parameters` - the parameters supplied to apply-templates
    `tunnelParams` - the tunnel parameters to be passed through
    `context` - the dynamic evaluation context
    `locationId` - location of the instruction (apply-templates, apply-imports etc) that caused the built-in template to be invoked
  Throws:
    `XPathException` - if any dynamic error occurs

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.